<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Cursor..::.MoveMultipleKey Method (DatabaseEntry, Boolean, Int32)
Cursor Class See Also

Set the cursor to refer to key, and store that key and as many ensuing key/data pairs that can fit in a buffer the size of BufferSize in CurrentMultipleKey.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public bool MoveMultipleKey(
    	DatabaseEntry key,
    	bool exact,
    	int BufferSize
    )

Visual Basic (Declaration)

    Public Function MoveMultipleKey ( _
    	key As DatabaseEntry, _
    	exact As Boolean, _
    	BufferSize As Integer _
    ) As Boolean

Visual C++

    public:
    bool MoveMultipleKey(
    	DatabaseEntry^ key,
    	bool exact,
    	int BufferSize
    )

#### Parameters

key
  Type: BerkeleyDB..::.DatabaseEntry
  The key at which to position the cursor

exact
  Type: System..::.Boolean
  If true, require the given key to match the key in the database exactly. If false, position the cursor at the smallest key greater than or equal to the specified key, permitting partial key matches and range searches.

BufferSize
  Type: System..::.Int32
  The size of a buffer to fill with key/data pairs. Must be at least the page size of the underlying database and be a multiple of 1024.

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# See Also

Cursor Class
MoveMultipleKey Overload
BerkeleyDB Namespace